/*	nlines = get_nlines_sio( fin, bytes_per_line_sio )
*	return the number of raster lines in the sioseis plot line, given 
*	bytes_per_line_sio.
*
*  Paul Henkart,  Scripps Oceanography,  February 1995
*  (C) 1994, Regents of The University of California
*/

#include <stdio.h>

int	get_nlines_sio( fin, bytes_per_line_sio )
	FILE	*fin;
	int	bytes_per_line_sio;

{
	int	nlines=0, address, istat;
	char	sio[2000];

	address = 3520;
	istat = fseek( fin, address, 0 );
	while( fread( &sio, sizeof(char), 1, fin) == 1 ) {
		nlines = nlines + 10;
		address = 3520 + nlines * bytes_per_line_sio;
		istat = fseek( fin, address, 0 );
	}
	return ( nlines );
}
