/*  get_sioplt_params  

   get the user parameters for program sioplt

*/

#include <stdio.h>

void get_sioplt_params( bitswap, width, height, reverse_video, plane, speed,
		decimate_x, decimate_y, curs_color )
	unsigned int width, height, reverse_video, plane, speed,
		decimate_x, decimate_y, *curs_color, *bitswap;



{
	FILE *fin;
	char	name[80]=" ";
	char	token[80]=" ";


	if ( (fin = fopen( "siopltrc", "r")) == (FILE *) NULL ) return;
	while ( fscanf( fin, "%s", name ) != EOF ) {
		if( strcmp( name,"swap" ) == 0 ) *bitswap = 1;
/*		if( strcmp( name,"swap" ) == 0 ) fscanf( fin, "%d", bitswap);
*/
		if( strcmp( name,"width" ) == 0 ) fscanf( fin, "%d", width );
		if( strcmp( name,"height" ) == 0 ) fscanf( fin, "%d", height );
		if( strcmp( name,"reverse_video" ) == 0 ) fscanf( fin, "%d", reverse_video );
		if( strcmp( name,"plane" ) == 0 ) fscanf( fin, "%d", plane );
		if( strcmp( name,"speed" ) == 0 ) fscanf( fin, "%f", speed );
		if( strcmp( name,"decimate_x" ) == 0 ) fscanf( fin, "%d", decimate_x );
		if( strcmp( name,"decimate_y" ) == 0 ) fscanf( fin, "%d", decimate_y );
		if( strcmp( name,"curs_color" ) == 0 ) {
			fscanf( fin, "%s", token ); 
			if( strcmp( token,"black" ) == 0 ) *curs_color = 0;
			if( strcmp( token,"red" ) == 0 ) *curs_color = 1;
			if( strcmp( token,"green" ) == 0 ) *curs_color = 2;
			if( strcmp( token,"yellow" ) == 0 ) *curs_color = 3;
			if( strcmp( token,"blue" ) == 0 ) *curs_color = 4;
			if( strcmp( token,"magenta" ) == 0 ) *curs_color = 5;
			if( strcmp( token,"cyan" ) == 0 ) *curs_color = 6;
			if( strcmp( token,"white" ) == 0 ) *curs_color = 7;
		}
	}
	return;
}
